<?php

namespace Database\Seeders;

use App\Models\Event;
use Illuminate\Database\Seeder;
use Illuminate\Support\Str;

class EventSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        for ($i=1; $i<8; $i++){
            Event::create([
                'name' => 'Юниорский чемпионат мира - 2015',
                'slug' => Str::slug('Юниорский чемпионат мира - 2015'),
                'federation_id' => $i,
                'location' => 'Санкт-Петербург, Россия',
                'about' => '',
                'start_date' => date_create('04.09.2015'),
                'finish_date' => date_create('12.09.2015'),
                'image' => '/assets/img/events/image.jpg',
            ]);

            Event::create([
                'name' => 'Чемпионат Азии среди взрослых - 2015',
                'slug' => Str::slug('Чемпионат Азии среди взрослых - 2015'),
                'federation_id' => $i,
                'location' => 'Бангкок, Таиланд',
                'about' => 'Главный тренер национальной сборной Казахстана Мырзагали Айтжанов огласил список спортсменов, которые отправятся на чемпионат Азии в Бангкок. После успешного сезона в составе клуба "Астана Арланс", казахстанские боксеры провели два сбора - в Турции и в Алматинской области, во Всемирной академии бокса.
                        Континентальный турнир пройдет с 26 августа по 5 сентября. Полностью состав сборной Казахстана выглядит следующим образом:
                        До 49 килограммов - Темиртас Жусупов
                        до 52 килограммов - Олжас Саттыбаев
                        до 56 килограммов - Кайрат Ералиев
                        до 60 килограммов - Закир Сафиуллин
                        до 64 килограммов - Самат Башенов
                        до 69 килограммов - Данияр Елеусинов
                        до 75 килограммов - Жанибек Алимханулы
                        до 81 килограмма - Адильбек Ниязымбетов
                        до 91 килограмма - Василий Левит
                        свыше 91 килограмма - Иван Дычко.',
                'start_date' => date_create('26.08.2015'),
                'finish_date' => date_create('05.09.2015'),
                'image' => '/assets/img/events/image.jpg',
            ]);
        }
    }
}
